| dfeprach Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- h
- i
- l
- m
- n
- p
- r
- s
- t
- u
- v

### - a -

- Activate : XDfePrach_TriggerCfg
- AntennaCfg : XDfePrach_CCCfg

### - b -

- BandId : XDfePrach_InternalChannelCfg
- BaseAddr : XDfePrach_Config

### - c -

- CarrierCfg : XDfePrach_CCCfg
- CCID : XDfePrach_CCSequence , XDfePrach_InternalChannelCfg
- CCRate : XDfePrach_InternalCarrierCfg
- CCSequenceError : XDfePrach_StatusMask
- Config : XDfePrach

### - d -

- DecimationRate : XDfePrach_DDCCfg
- DecimatorOverflow : XDfePrach_DecimatorStatusOverflow , XDfePrach_StatusMask , XDfePrach_Status
- DecimatorOverrun : XDfePrach_DecimatorStatusOverrun , XDfePrach_Status , XDfePrach_StatusMask
- Device : XDfePrach
- DeviceId : XDfePrach_Config
- DualModCount : XDfePrach_NCO
- DualModSel : XDfePrach_NCO
- Duration : XDfePrach_Schedule

### - e -

- Enable : XDfePrach_InternalCarrierCfg , XDfePrach_InternalChannelCfg
- EnableStaticSchedule : XDfePrach_Init
- EnableUseFreqOffset : XDfePrach_Init

### - f -

- FirstAntennaOverflowing : XDfePrach_MixerStatusOverflow , XDfePrach_DecimatorStatusOverflow
- FirstAntennaOverruning : XDfePrach_DecimatorStatusOverrun , XDfePrach_MixerStatusOverrun
- FirstRCIdOverflowing : XDfePrach_MixerStatusOverflow , XDfePrach_DecimatorStatusOverflow
- FirstRCIdOverruning : XDfePrach_DecimatorStatusOverrun , XDfePrach_MixerStatusOverrun
- FrameError : XDfePrach_StatusMask
- FrameID : XDfePrach_Schedule
- FrameInit : XDfePrach_TriggerCfg
- FrameInitTrigger : XDfePrach_StatusMask
- FreqDualModCount : XDfePrach_NCO
- FreqPhaseOffset : XDfePrach_NCO
- FreqSingleModCount : XDfePrach_NCO
- Frequency : XDfePrach_NCO

### - h -

- HasAxisCtrl : XDfePrach_ModelParameters , XDfePrach_Config
- HasContinuousSched : XDfePrach_Config , XDfePrach_ModelParameters
- HasIrq : XDfePrach_Config , XDfePrach_ModelParameters

### - i -

- Io : XDfePrach

### - l -

- Length : XDfePrach_CCSequence
- LowPower : XDfePrach_TriggerCfg

### - m -

- Major : XDfePrach_Version
- Minor : XDfePrach_Version
- MixerOverflow : XDfePrach_Status , XDfePrach_StatusMask , XDfePrach_MixerStatusOverflow
- MixerOverrun : XDfePrach_Status , XDfePrach_MixerStatusOverrun
- Mode : XDfePrach_Trigger
- ModelParams : XDfePrach_Cfg

### - n -

- NcoGain : XDfePrach_NCO
- NodeName : XDfePrach
- NotUsedCCID : XDfePrach
- NumAntenna : XDfePrach_ModelParameters , XDfePrach_Config
- NumAntennaChannels : XDfePrach_ModelParameters , XDfePrach_Config
- NumAntennaSlots : XDfePrach_ModelParameters , XDfePrach_Config
- NumBands : XDfePrach_Config , XDfePrach_ModelParameters
- NumCCPerAntenna : XDfePrach_Config , XDfePrach_ModelParameters
- NumRachChannels : XDfePrach_ModelParameters , XDfePrach_Config
- NumRachLanes : XDfePrach_ModelParameters , XDfePrach_Config

### - p -

- Patch : XDfePrach_Version
- PatternPeriod : XDfePrach_Schedule
- PhaseAcc : XDfePrach_NCO
- PhaseOffset : XDfePrach_NCO

### - r -

- RachChannel : XDfePrach_InternalChannelCfg
- RachGain : XDfePrach_DDCCfg
- RachUpdate : XDfePrach_StatusMask , XDfePrach_TriggerCfg
- RCId : XDfePrach_InternalChannelCfg
- Repeats : XDfePrach_Schedule
- Revision : XDfePrach_Version

### - s -

- SCS : XDfePrach_InternalCarrierCfg , XDfePrach_CarrierCfg
- SelectorOverrun : XDfePrach_StatusMask
- Sequence : XDfePrach_Init , XDfePrach_CCCfg
- SequenceLength : XDfePrach
- SlotId : XDfePrach_Schedule
- StateId : XDfePrach
- StateOutput : XDfePrach_Trigger
- SubframeID : XDfePrach_Schedule

### - t -

- TriggerEnable : XDfePrach_Trigger
- TUSERBit : XDfePrach_Trigger
- TuserEdgeLevel : XDfePrach_Trigger

### - u -

- UserFreq : XDfePrach_NCO
- UserSCS : XDfePrach_DDCCfg

### - v -

- Version : XDfePrach_Cfg